Child Address Read
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/contracts/read \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"calls": [
{
"abi": [
{
"constant": true,
"inputs": [
{
"name": "account",
"type": "address"
}
],
"name": "balanceOf",
"outputs": [
{
"name": "",
"type": "uint256"
}
],
"stateMutability": "view",
"type": "function"
}
],
"address": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",
"method": "balanceOf",
"parameters": [
"0x947514e4B803e312C312da0F1B41fEDdbe15ae7a"
]
},
{
"abi": [
{
"constant": true,
"inputs": [
{
"name": "owner",
"type": "address"
},
{
"name": "spender",
"type": "address"
}
],
"name": "allowance",
"outputs": [
{
"name": "",
"type": "uint256"
}
],
"stateMutability": "view",
"type": "function"
}
],
"address": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",
"method": "allowance",
"parameters": [
"0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
"0xSpenderAddress"
]
}
]
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/contracts/read"
payload = { "calls": [
{
"abi": [
{
"constant": True,
"inputs": [
{
"name": "account",
"type": "address"
}
],
"name": "balanceOf",
"outputs": [
{
"name": "",
"type": "uint256"
}
],
"stateMutability": "view",
"type": "function"
}
],
"address": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",
"method": "balanceOf",
"parameters": ["0x947514e4B803e312C312da0F1B41fEDdbe15ae7a"]
},
{
"abi": [
{
"constant": True,
"inputs": [
{
"name": "owner",
"type": "address"
},
{
"name": "spender",
"type": "address"
}
],
"name": "allowance",
"outputs": [
{
"name": "",
"type": "uint256"
}
],
"stateMutability": "view",
"type": "function"
}
],
"address": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",
"method": "allowance",
"parameters": ["0x947514e4B803e312C312da0F1B41fEDdbe15ae7a", "0xSpenderAddress"]
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calls: [
{
abi: [
{
constant: true,
inputs: [{name: 'account', type: 'address'}],
name: 'balanceOf',
outputs: [{name: '', type: 'uint256'}],
stateMutability: 'view',
type: 'function'
}
],
address: '0x337610d27c682E347C9cD60BD4b3b107C9d34dDd',
method: 'balanceOf',
parameters: ['0x947514e4B803e312C312da0F1B41fEDdbe15ae7a']
},
{
abi: [
{
constant: true,
inputs: [{name: 'owner', type: 'address'}, {name: 'spender', type: 'address'}],
name: 'allowance',
outputs: [{name: '', type: 'uint256'}],
stateMutability: 'view',
type: 'function'
}
],
address: '0x337610d27c682E347C9cD60BD4b3b107C9d34dDd',
method: 'allowance',
parameters: ['0x947514e4B803e312C312da0F1B41fEDdbe15ae7a', '0xSpenderAddress']
}
]
})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/contracts/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "10052335235393043",
"message": "Contract read successfully",
"statusCode": 200
}Child Address Read
This API provides endpoints for interacting with smart contracts on the blockchain. It allows for reading contract data,
Request Body
The request body should be in raw format and include the following parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| address | string | Yes | The address of the contract. |
| method | string | Yes | The method to be called on the contract. |
| parameters | array | Yes | An array of parameters to pass to the method. |
| abi | array | Yes | An array containing the ABI of the contract or method. |
POST
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
contracts
/
read
Child Address Read
Batch Operations
This endpoint supports batch operations, allowing you to read multiple contract methods in a single API call from a specific child address.Batch Request Format
To execute multiple reads, use thecalls array:
{
"calls": [
{
"address": "0x1234...",
"method": "balanceOf",
"parameters": ["0xabcd..."],
"abi": [...]
},
{
"address": "0x5678...",
"method": "totalSupply",
"parameters": [],
"abi": [...]
}
]
}
Batch Response Format
Batch responses includesuccess and errors arrays:
{
"message": "Batch contract read completed (2/2 successful)",
"statusCode": 200,
"data": {
"success": [
{ "index": 0, "method": "balanceOf", "data": "1000000" },
{ "index": 1, "method": "totalSupply", "data": "50000000" }
],
"errors": []
}
}
Validation Rules
| Rule | Value |
|---|---|
| Max batch size | 20 operations |
| Min batch size | 1 operation |
Use Cases
- Bulk reads: Read multiple contract states efficiently
- Multi-asset balances: Query balances across multiple assets in one call
- Protocol state: Read multiple protocol parameters simultaneously
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"ADDRESS_ID"
Body
application/json
Show child attributes
Show child attributes
Example:
[
{
"abi": [
{
"constant": true,
"inputs": [{ "name": "account", "type": "address" }],
"name": "balanceOf",
"outputs": [{ "name": "", "type": "uint256" }],
"stateMutability": "view",
"type": "function"
}
],
"address": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",
"method": "balanceOf",
"parameters": [
"0x947514e4B803e312C312da0F1B41fEDdbe15ae7a"
]
},
{
"abi": [
{
"constant": true,
"inputs": [
{ "name": "owner", "type": "address" },
{ "name": "spender", "type": "address" }
],
"name": "allowance",
"outputs": [{ "name": "", "type": "uint256" }],
"stateMutability": "view",
"type": "function"
}
],
"address": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",
"method": "allowance",
"parameters": [
"0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
"0xSpenderAddress"
]
}
]⌘I

